package produce

import (
	"git.science.uu.nl/datastrophe/broker"
	"git.science.uu.nl/datastrophe/keyvaluestore"
)

// Service wraps consumer methods
type Service struct {
	brokerDriver   broker.Interface
	keyValueStore  keyvaluestore.Interface
	producerDriver broker.Producer
}

// NewService creates a new service
func NewService(broker broker.Interface, keyValueStore keyvaluestore.Interface) *Service {
	return &Service{
		brokerDriver:  broker,
		keyValueStore: keyValueStore,
	}
}

// Start starts the producer
func (s *Service) Start() {
	// Create producer
	p := s.brokerDriver.CreateProducer("ui-direct-exchange")

	s.producerDriver = p
}
